<?php
/**
 * Class to load freemius configuration
 */

namespace Fullworks_Directory\Includes;


class Freemius_Config {

	public function init() {

		global $fdir_fs;

		if ( ! isset( $fdir_fs ) ) {
			// Include Freemius SDK.
			require_once dirname(__FILE__) . '/vendor/freemius/wordpress-sdk/start.php';

			$fdir_fs = fs_dynamic_init( array(
				'id'                  => '1789',
				'slug'                => 'fullworks-directory',
				'type'                => 'plugin',
				'public_key'          => 'pk_5e4e46821062005103bb0bc19c509',
				'is_premium'          => false,
				'has_addons'          => false,
				'has_paid_plans'      => false,
				'menu'                => array(
					'first-path'     => 'plugins.php',
					'account'        => false,
					'contact'        => false,
				),
			) );
		}

		return $fdir_fs;

	}


}