<?php

add_action( 'genesis_meta', 'fd_entry_tax_meta' );
function fd_entry_tax_meta() {

add_filter( 'body_class', 'fd_entry_tax_body_class' );
//* Force full-width-content layout setting
add_filter( 'genesis_pre_get_option_site_layout', '__genesis_return_full_width_content' );
//* force sort order
add_action( 'genesis_before_loop', 'fd_entry_tax_do_query' );
// wrap the articles
add_action( 'genesis_loop','fd_entry_tax_before_loop',1 );
add_action( 'genesis_after_endwhile','fd_entry_tax_after_endwhile',1 );
// wrap entry
add_action( 'genesis_entry_header','fd_entry_tax_before_entry',1 );
add_action( 'genesis_after_entry_content','fd_entry_tax_after_entry' );
// remove post meta
remove_action( 'genesis_entry_header', 'genesis_post_info', 12 );
//  strip ellipses
add_filter('excerpt_more','__return_false');
// more
add_action( 'genesis_after_entry_content', 'fd_entry_tax_readmore_button' );




}

function fd_entry_tax_body_class( $classes ) {

$classes[] = 'fd-entry-tax';
return $classes;

}


/** Changes the Query before the Loop */
function fd_entry_tax_do_query() {
global $query_string;
query_posts( wp_parse_args( $query_string, array( 'orderby' =>  array( 'menu_order' => 'ASC', 'title' => 'ASC' ) ) ) );
}

function fd_entry_tax_before_loop() {
?>
<div class="fd-entry-archive-wrap">
	<?php
	}
	function fd_entry_tax_after_endwhile() {
	?>
</div> <!-- / fd-entry-tax-wrap -->
<?php

}

function fd_entry_tax_before_entry() {
?>
<div class="flexwrap">
	<?php
	}
	function fd_entry_tax_after_entry() {
	?>
</div> <!-- / flexwrap -->
<?php

}

function fd_entry_tax_readmore_button() {
	?>
	<div class ='read-more'>
		<a href='<?php the_permalink( ); ?>'><?php  esc_html_e('Find out more','fullworks-directory'); ?></a>
	</div>
	<?php
}

genesis();