<?php


get_header(); ?>

    <div class="wrap">

		<?php if ( have_posts() ) : ?>
            <header class="page-header">
				<?php
				the_archive_title( '<h1 class="page-title">', '</h1>' );
				the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
            </header><!-- .page-header -->
		<?php endif; ?>

        <div id="primary" class="content-area">
            <main id="main" class="site-main" role="main">
                <div class="fd-entry-archive-wrap">
					<?php
					if ( have_posts() ) : ?>
						<?php
						/* Start the Loop */
						while ( have_posts() ) : the_post();
							?>
                            <div class="flexwrap">
                                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                    <header class="entry-header">
										<?php
										the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
										?>
                                    </header><!-- .entry-header -->

									<?php if ( '' !== get_the_post_thumbnail() ) : ?>
                                        <div class="post-thumbnail">
                                            <a href="<?php the_permalink(); ?>">
												<?php the_post_thumbnail( 'fd-entry-featured-image' ); ?>
                                            </a>
                                        </div><!-- .post-thumbnail -->
									<?php endif; ?>

                                    <div class="entry-content">
										<?php
										/* translators: %s: Name of current post */
										the_content( sprintf(
											__( 'Find out more<span class="screen-reader-text"> "%s"</span>', 'fullworks-directory' ),
											get_the_title()
										) );

										wp_link_pages( array(
											'before'      => '<div class="page-links">' . __( 'Pages:', 'fullworks-directory' ),
											'after'       => '</div>',
											'link_before' => '<span class="page-number">',
											'link_after'  => '</span>',
										) );
										?>
                                    </div><!-- .entry-content -->

                                </article>
                            </div>
							<?php
						endwhile;

						the_posts_pagination( array(
							'prev_text'          => '&larr;' . '<span class="screen-reader-text">' . __( 'Previous page', 'fullworks-directory' ) . '</span>',
							'next_text'          => '<span class="screen-reader-text">' . __( 'Next page', 'fullworks-directory' ) . '</span>' . '&rarr;',
							'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'fullworks-directory' ) . ' </span>',
						) );

					endif; ?>
                </div>
            </main><!-- #main -->
        </div><!-- #primary -->
		<?php get_sidebar(); ?>
    </div><!-- .wrap -->

<?php get_footer();