<?php
/**
 * Created
 * User: alan
 * Date: 04/09/17
 * Time: 17:17
 */
add_action( 'genesis_meta', 'fd_entry_meta' );
function fd_entry_meta() {

	add_filter( 'body_class', 'fd_entry_body_class' );

	remove_action( 'genesis_entry_header', 'genesis_post_info', 12 );

	remove_action('genesis_entry_header', 'genesis_do_post_title');
	add_action('genesis_before_content', 'genesis_do_post_title' );
	add_action('genesis_before_loop', 'fd_entry_sub_title' );

    remove_action('genesis_sidebar', 'genesis_do_sidebar');
	add_action('genesis_sidebar','fd_entry_sidebar');

}

function fd_entry_body_class( $classes ) {

	$classes[] = 'fd-entry';
	return $classes;

}

function fd_entry_sub_title() {
	global $post;
    $subtitle=get_post_meta($post->ID,'_fd_entry_sub_title_sub_title',true);
    if (!empty($subtitle)) {
        printf('<h2 class="entry-title fd-sub-title">%1$s</h2>',$subtitle);
    }
}

function fd_entry_sidebar() {
	if ( is_active_sidebar('fd-entry-sidebar') ) {
		genesis_widget_area( 'fd-entry-sidebar', array(
			'before' => '<div id="fd-entry-sidebar">',
			'after'  => '</div>',
		) );
    }
}

genesis();